<template>
	<div class="cg-affiliate-sale-status-block add-top-sml">
                <nav>
                  <div class="nav affiliate-nav-head-wrap nav-tabs d-flex justify-content-center" id="nav-tab" role="tablist">
                    <a class="cg-notification-thumb nav-item nav-link active" id="nav-all-tab" data-toggle="tab" href="#nav-all" role="tab" aria-controls="nav-all" aria-selected="true">
                      <h3>Today</h3>
                    </a>
                    <a class="cg-message-thumb nav-item nav-link" id="nav-likes-tab" data-toggle="tab" href="#nav-likes" role="tab" aria-controls="nav-likes" aria-selected="false">
                      <h3>Custom Date</h3>
                    </a>
                    <a class="cg-message-thumb nav-item nav-link" id="nav-comments-tab" data-toggle="tab" href="#nav-comments" role="tab" aria-controls="nav-comments" aria-selected="false">
                      <h3>Last Month</h3>
                    </a>
                    <a class="cg-message-thumb nav-item nav-link" id="nav-followers-tab" data-toggle="tab" href="#nav-followers" role="tab" aria-controls="nav-followers" aria-selected="false">
                      <h3>All Time</h3>
                    </a>

                  </div>
                </nav>
                <!-- cg-affiliate-tab-content for mobiles -->
                <div class="cg-mobile-affiliate-tab-content-wrap">
                  <select name="cg-mobile-affiliate-tab-content" id="cg-mobile-affiliate-tab-content">
                    <option value="all-noti">Today</option>
                    <option value="likes">Custom Date</option>
                    <option value="comments">Last Month</option>
                    <option value="favorites">All Time</option>
                  </select>
                </div>
                <!-- cg-affiliate-tab-content for mobiles Ends -->

                <div class="tab-content pad-top-sml cg-affiliate-tab-content" id="nav-tabContent">

                  <div class="tab-pane fade show active" id="nav-all" role="tabpanel" aria-labelledby="nav-all-tab">
                      <div class="cg-basic-tile-wrap">
                          <div class="row d-flex align-items-center justify-content-center cg-affiliate-counts">
                              <div class="cg-basic-tile sz-mini cg-sale-tile d-flex align-items-center justify-content-between">
                                  <h4>Sales</h4><span>{{ earnings_['today']['sales'] }}</span>
                              </div>
                              <div class="cg-click-tile cg-basic-tile sz-mini d-flex align-items-center justify-content-between">
                                  <h4>Clicks</h4><span>{{ earnings_['today']['clicks'] }}</span>
                              </div>
                              <div class="cg-users-tile cg-basic-tile sz-mini d-flex align-items-center justify-content-between">
                                  <h4>Users</h4><span>{{ earnings_['today']['users'] }}</span>
                              </div>
                              <div class="cg-earnings-tile cg-basic-tile sz-mini d-flex align-items-center justify-content-between">
                                  <h4>Earnings</h4><span>${{ earnings_['today']['earnings'] }}</span>
                              </div>
                          </div>
                      </div>
                  </div>

                  <div class="tab-pane fade" id="nav-likes" role="tabpanel" aria-labelledby="nav-likes-tab">
                      <form  @submit.prevent="formSubmit" id="form_user" enctype="multipart/form-data">
                          <div class="cg-form-container font1 cg-border-top">
                              <div class="row d-flex">
                                  <div class="col-md-4">
                                      <label class="pad-top-none " for="date_from">Date From</label>
                                      <input type="date" id="date_from"  v-model="date_from" v-bind:class="{ cg_error_class: this.validation_errors.date_from }"/>
                                      <span v-if="this.validation_errors.date_from" class="text-danger"> {{this.validation_errors.date_from[0] }}</span>
                                  </div>
                                  <div class="col-md-4">
                                      <label class="pad-top-none " for="date_to">Date To</label>
                                      <input type="date" id="date_to"  v-model="date_to" v-bind:class="{ cg_error_class: this.validation_errors.date_to }"/>
                                      <span v-if="this.validation_errors.date_to" class="text-danger"> {{this.validation_errors.date_to[0] }}</span>
                                  </div>
                                  <div class="col-md-4">
                                      <label class="pad-top-none" ></label>
                                      <input type="submit" value="Submit" name="submit" id="submit" />     </div>
                              </div>
                          </div>
                      </form>
                      <div class="cg-basic-tile-wrap" v-if="custom_status">
                          <div class="row d-flex align-items-center justify-content-center cg-affiliate-counts">
                              <div class="cg-basic-tile sz-mini cg-sale-tile d-flex align-items-center justify-content-between">
                                  <h4>Sales</h4><span>{{ earnings_custom_['sales'] }}</span>
                              </div>
                              <div class="cg-click-tile cg-basic-tile sz-mini d-flex align-items-center justify-content-between">
                                  <h4>Clicks</h4><span>{{ earnings_custom_['clicks'] }}</span>
                              </div>
                              <div class="cg-users-tile cg-basic-tile sz-mini d-flex align-items-center justify-content-between">
                                  <h4>Users</h4><span>{{ earnings_custom_['users'] }}</span>
                              </div>
                              <div class="cg-earnings-tile cg-basic-tile sz-mini d-flex align-items-center justify-content-between">
                                  <h4>Earnings</h4><span>${{ earnings_custom_['earnings'] }}</span>
                              </div>
                          </div>
                      </div>
                  </div>

                  <div class="tab-pane fade" id="nav-comments" role="tabpanel" aria-labelledby="nav-comments-tab">
                      <div class="cg-basic-tile-wrap">
                          <div class="row d-flex align-items-center justify-content-center cg-affiliate-counts">
                              <div class="cg-basic-tile sz-mini cg-sale-tile d-flex align-items-center justify-content-between">
                                  <h4>Sales</h4><span>{{ earnings_['last_month']['sales'] }}</span>
                              </div>
                              <div class="cg-click-tile cg-basic-tile sz-mini d-flex align-items-center justify-content-between">
                                  <h4>Clicks</h4><span>{{ earnings_['last_month']['clicks'] }}</span>
                              </div>
                              <div class="cg-users-tile cg-basic-tile sz-mini d-flex align-items-center justify-content-between">
                                  <h4>Users</h4><span>{{ earnings_['last_month']['users'] }}</span>
                              </div>
                              <div class="cg-earnings-tile cg-basic-tile sz-mini d-flex align-items-center justify-content-between">
                                  <h4>Earnings</h4><span>${{ earnings_['last_month']['earnings'] }}</span>
                              </div>
                          </div>
                      </div>
                  </div>
                  <div class="tab-pane fade" id="nav-followers" role="tabpanel" aria-labelledby="nav-followers-tab">
                      <div class="cg-basic-tile-wrap">
                          <div class="row d-flex align-items-center justify-content-center cg-affiliate-counts">
                              <div class="cg-basic-tile sz-mini cg-sale-tile d-flex align-items-center justify-content-between">
                                  <h4>Sales</h4><span>{{ earnings_['all_time']['sales'] }}</span>
                              </div>
                              <div class="cg-click-tile cg-basic-tile sz-mini d-flex align-items-center justify-content-between">
                                  <h4>Clicks</h4><span>{{ earnings_['all_time']['clicks'] }}</span>
                              </div>
                              <div class="cg-users-tile cg-basic-tile sz-mini d-flex align-items-center justify-content-between">
                                  <h4>Users</h4><span>{{ earnings_['all_time']['users'] }}</span>
                              </div>
                              <div class="cg-earnings-tile cg-basic-tile sz-mini d-flex align-items-center justify-content-between">
                                  <h4>Earnings</h4><span>${{ earnings_['all_time']['earnings'] }}</span>
                              </div>
                          </div>
                      </div>
                  </div>
                </div>
        <div class="cg-toast-one" v-if="success_message">
            <ul class="d-flex justify-content-between">
                <li class="first"><p>{{ success_message }}</p></li>
                <li class="first"><a class="kill-toast fa fa-times" aria-hidden="true"></a></li>
            </ul>
        </div>

        <div class="cg-toast-one" v-if="error_message">
            <ul class="d-flex justify-content-between">
                <li class="first"><p>{{ error_message }}</p></li>
                <li class="first"><a class="kill-toast fa fa-times" aria-hidden="true"></a></li>
            </ul>
        </div>
    </div>

</template>
<style lang="scss" scoped>
    .cg-product-grid-wrap{
        min-height: 300px;
    }
    [v-cloak] {
        display: none;
    }
    .loading {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 400px;
    }
</style>
<script>
    import Preloader from '../components/Preloader.vue';
    export default {
        props: ['earnings'],
        created(){
            setTimeout(() => {
                this.loading = false;
            },1000);
        },
        data(){
            return{
                isEmpty: true,
                earnings_:JSON.parse(this.earnings),
                earnings_custom_:{},
                date_from:'',
                date_to:'',
                custom_status:false,
                isEmpty:false,
                loading: true,

                validation_errors:{},
                success_message:'',
                error_message:'',
            }

        },
        components:{
            Preloader
        },
        methods: {
            loadJs(url, callback) {
                jQuery.ajax({
                    url: url,
                    dataType: 'script',
                    success: callback,
                    async: true
                });
            },
            formSubmit(){

                let currentObj = this;
                currentObj.success_message='';
                currentObj.error_message='';

                const config = {
                    headers: {
                        'content-type':'application/json',
                        'Accept':'application/json'
                    }
                }

                let formData = new FormData();

                formData.append('date_from',  this.date_from);
                formData.append('date_to',  this.date_to);
                axios.post('/affiliate_earnings', formData, config).then((response)=>{

                    if(response.data.status == 'validation_error')
                    {
                        currentObj.validation_errors = response.data.errors
                        if(this.validation_errors.date_from)
                        {
                            document.getElementById('date_from').focus()
                        }
                        else if(this.validation_errors.date_to)
                        {
                            document.getElementById('date_to').focus()
                        }
                        else
                        {
                            document.getElementById('date_from').focus()
                        }
                    }
                    else if(response.data.status == 'success')
                    {
                        this.custom_status = true;
                        this.earnings_custom_ = response.data.custom;
                    }
                    else
                    {
                        currentObj.error_message = "Try Again Later";
                    }

                    this.loadJs('/javascripts/custom/toast.js', function() {
                        //Stuff to do after someScript has loaded
                    });


                })
            },

        },
        mounted(){
           console.log(this.earnings_)
        },

    }

</script>
